#ifndef __FlowQueue_h__
# define __FlowQueue_h__

#include "HTTPParameters.h"
#include "ZString.h"

namespace http {

   class FlowQueue {

    public:
      FlowQueue();

      virtual bool process();

      coreutils::ZString getId();

    protected:
      char actionId[64];
      const char *hex = "0123456789ABCDEF";

   };

}

#endif
